Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Gentoo Local Security Checks >> [GLSA-200609-06] AdPlug: Multiple vulnerabilities


Vulnerability Assessment Details

[GLSA-200609-06] AdPlug: Multiple vulnerabilities

Vulnerability Assessment Summary
AdPlug: Multiple vulnerabilities

Detailed Explanation for this Vulnerability Assessment
The remote host is affected by the vulnerability described in GLSA-200609-06
(AdPlug: Multiple vulnerabilities)


AdPlug is vulnerable to buffer and heap overflows when processing the
following types of files: CFF, MTK, DMO, U6M, DTM, and S3M.

Impact

By enticing a user to load a specially crafted file, a possible hacker could
execute arbitrary code with the rights of the user running AdPlug.

Workaround

There are no known workarounds at this time.

References:
http://www.securityfocus.com/archive/1/439432/30/0/threaded
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-3581
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-3582


Solution:
All AdPlug users should update to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose ">=media-libs/adplug-2.0.1"


Network Security Threat Level: Medium


Networks Security ID:

Vulnerability Assessment Copyright: (C) 2006 Michel Arboi

Cables, Connectors

Cisco Meraki MR53 Cloud Managed Indoor Access Point PLEASE READ
$49.99
Cisco Meraki MR53 Cloud Managed Indoor Access Point PLEASE READ pictureCisco Meraki MX100 Firewall (750 Mbps throughput)
$1999.0
Cisco Meraki MX100 Firewall (750 Mbps throughput) pictureCisco ASA5525-SSD120-K9 ASA 5525-X Firewall 6-GE 250-IPsec/2-SSL 3DES/AES AC
$2990.0
Cisco ASA5525-SSD120-K9 ASA 5525-X Firewall 6-GE 250-IPsec/2-SSL 3DES/AES AC pictureCisco PVDM3-128 used Original 128-Channel High Density Voice DSP PVDM module
$218.0
Cisco PVDM3-128 used Original 128-Channel High Density Voice DSP PVDM module  picture


Discussions

No Discussions have been posted on this vulnerability.